jif.types

## Interface ConstArrayType

- All Superinterfaces:
    polyglot.types.ArrayType, java.lang.Cloneable, polyglot.util.Copy<polyglot.types.TypeObject>, polyglot.types.Qualifier, polyglot.types.ReferenceType, java.io.Serializable, polyglot.types.Type, polyglot.types.TypeObject
  All Known Implementing Classes:
    ConstArrayType_c

      public interface ConstArrayType
      extends polyglot.types.ArrayType

  A `ConstArrayType` represents an array of base types, whose elements cannot change after initialization.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isConst()` The array type is a const array (or castable to one).
    `boolean` | `isNonConst()` The array type is a non-const array (or castable to one).

    - ### Methods inherited from interface polyglot.types.ArrayType

      `base, base, cloneMethod, dims, lengthField, ultimateBase`

    - ### Methods inherited from interface polyglot.types.ReferenceType

      `fieldNamed, fields, hasMethod, hasMethodImpl, interfaces, members, methods, methods, methodsNamed, superType`

    - ### Methods inherited from interface polyglot.types.Type

      `arrayOf, arrayOf, descendsFrom, descendsFromImpl, isArray, isBoolean, isByte, isCastValid, isCastValidImpl, isChar, isClass, isComparable, isDouble, isFloat, isImplicitCastValid, isImplicitCastValidImpl, isInt, isIntOrLess, isLong, isLongOrLess, isNull, isNumeric, isPrimitive, isReference, isShort, isSubtype, isSubtypeImpl, isThrowable, isUncheckedException, isVoid, numericConversionValid, numericConversionValid, numericConversionValidImpl, numericConversionValidImpl, print, toArray, toClass, toNull, toPrimitive, toReference, toString, translate, typeEquals, typeEqualsImpl`

    - ### Methods inherited from interface polyglot.types.Qualifier

      `isPackage, isType, toPackage, toType`

    - ### Methods inherited from interface polyglot.types.TypeObject

      `equalsImpl, isCanonical, position, typeSystem`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Method Detail

    - #### isConst

          boolean isConst()

      The array type is a const array (or castable to one).

    - #### isNonConst

          boolean isNonConst()

      The array type is a non-const array (or castable to one).